Your message dated Sun, 29 Jun 2014 00:18:33 +0000
with message-id <e1x12pf-0004ry...@franck.debian.org>
and subject line Bug#752926: fixed in minizip 1.1-3
has caused the Debian Bug report #752926,
regarding libminizip-dev and libkml-dev: error when trying to install together
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
752926: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=752926
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: libkml-dev,libminizip-dev
Version: libkml-dev/1.3.0~r864+dfsg-1
Version: libminizip-dev/1.01-2
Severity: serious
User: trei...@debian.org
Usertags: edos-file-overwrite

Date: 2014-06-27
Architecture: amd64
Distribution: sid

Hi,

automatic installation tests of packages that share a file and at the
same time do not conflict by their package dependency relationships has
detected the following problem:


Selecting previously unselected package libexpat1:amd64.
(Reading database ... 10931 files and directories currently installed.)
Preparing to unpack .../libexpat1_2.1.0-6_amd64.deb ...
Unpacking libexpat1:amd64 (2.1.0-6) ...
Selecting previously unselected package libminizip1:amd64.
Preparing to unpack .../libminizip1_1.1-2_amd64.deb ...
Unpacking libminizip1:amd64 (1.1-2) ...
Selecting previously unselected package libminizip-dev:amd64.
Preparing to unpack .../libminizip-dev_1.1-2_amd64.deb ...
Unpacking libminizip-dev:amd64 (1.1-2) ...
Selecting previously unselected package liburiparser1.
Preparing to unpack .../liburiparser1_0.7.5-1_amd64.deb ...
Unpacking liburiparser1 (0.7.5-1) ...
Selecting previously unselected package liburiparser-dev.
Preparing to unpack .../liburiparser-dev_0.7.5-1_amd64.deb ...
Unpacking liburiparser-dev (0.7.5-1) ...
Selecting previously unselected package libkml0:amd64.
Preparing to unpack .../libkml0_1.3.0~r864+dfsg-1_amd64.deb ...
Unpacking libkml0:amd64 (1.3.0~r864+dfsg-1) ...
Selecting previously unselected package libkml-dev:amd64.
Preparing to unpack .../libkml-dev_1.3.0~r864+dfsg-1_amd64.deb ...
Unpacking libkml-dev:amd64 (1.3.0~r864+dfsg-1) ...
dpkg: error processing archive 
/var/cache/apt/archives/libkml-dev_1.3.0~r864+dfsg-1_amd64.deb (--unpack):
 trying to overwrite '/usr/lib/x86_64-linux-gnu/libminizip.a', which is also in 
package libminizip-dev:amd64 1.1-2
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/libkml-dev_1.3.0~r864+dfsg-1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


This is a serious bug as it makes installation fail, and violates
sections 7.6.1 and 10.1 of the policy. An optimal solution would
consist in only one of the packages installing that file, and renaming
or removing the file in the other package. Depending on the
circumstances you might also consider Replace relations or file
diversions. If the conflicting situation cannot be resolved then, as a
last resort, the two packages have to declare a mutual
Conflict. Please take into account that Replaces, Conflicts and
diversions should only be used when packages provide different
implementations for the same functionality.

Here is a list of files that are known to be shared by both packages
(according to the Contents file for sid/amd64, which may be
slightly out of sync):

  /usr/include/minizip/crypt.h
  /usr/include/minizip/ioapi.h
  /usr/include/minizip/mztools.h
  /usr/include/minizip/unzip.h
  /usr/include/minizip/zip.h
  /usr/lib/x86_64-linux-gnu/libminizip.a
  /usr/lib/x86_64-linux-gnu/libminizip.so

This bug has been filed against both packages. If you, the maintainers of
the two packages in question, have agreed on which of the packages will
resolve the problem please reassign the bug to that package. You may then
also register in the BTS that the other package is affected by the bug.

-Ralf.

PS: for more information about the detection of file overwrite errors
of this kind see http://edos.debian.net/file-overwrites/.

--- End Message ---
--- Begin Message ---
Source: minizip
Source-Version: 1.1-3

We believe that the bug you reported is fixed in the latest version of
minizip, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 752...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Gilbert <mgilb...@debian.org> (supplier of updated minizip package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 28 Jun 2014 20:08:29 +0000
Source: minizip
Binary: minizip libminizip1 libminizip-dev
Architecture: source amd64
Version: 1.1-3
Distribution: unstable
Urgency: medium
Maintainer: Michael Gilbert <mgilb...@debian.org>
Changed-By: Michael Gilbert <mgilb...@debian.org>
Description:
 libminizip-dev - compression library - minizip development files
 libminizip1 - compression library - minizip library
 minizip    - compression library - minizip tools
Closes: 752926
Changes:
 minizip (1.1-3) unstable; urgency=medium
 .
   * Conflict with libkml-dev (closes: #752926).
Checksums-Sha1:
 f1ff5b80f060b01c739fd2c6f61741c50a7eef40 2518 minizip_1.1-3.dsc
 8ae7a5087bd65e963b6d99d6dcff38c7e2d64323 4500 minizip_1.1-3.debian.tar.xz
 a3278ded6dfa29138f5f1f89d92f7bffe6102c91 11768 minizip_1.1-3_amd64.deb
 3250db021b73f11defe170e5e9954773b28fb032 19724 libminizip1_1.1-3_amd64.deb
 b9ae75e2c63013f26de621cc8ff18bb0f0690cea 26618 libminizip-dev_1.1-3_amd64.deb
Checksums-Sha256:
 2439e3c9af37114dd593bd5a5bfadeb5b7c945366c9b8ef789123e32eca05ebe 2518 
minizip_1.1-3.dsc
 09066c42a28fceea1727407eca8f1e90632d8388d6c96b2d2818a11e53bddbee 4500 
minizip_1.1-3.debian.tar.xz
 ffc5fc8f01855cb83c31ae2b6215c0a3826b080995287a8147cc0d0e679c62b4 11768 
minizip_1.1-3_amd64.deb
 dbecae1dd4d18f341e2f0b26e77f969ad240d1750ff2e04f1a7f834f817b775f 19724 
libminizip1_1.1-3_amd64.deb
 dec2dba593305a69aaab6b0eae47a93eb00b9dac1d0569e19a3d9fc1ba8c65d8 26618 
libminizip-dev_1.1-3_amd64.deb
Files:
 ea6cbeb5e3ed49f69e05e60f7f342f25 11768 utils optional minizip_1.1-3_amd64.deb
 9ad475607e6eeac319924d59c2554577 19724 libs optional 
libminizip1_1.1-3_amd64.deb
 bff99a8a846527d84ec5988fe38a32b8 26618 libdevel optional 
libminizip-dev_1.1-3_amd64.deb
 ff95bde6b925a1ebc492a6b48bed8c57 2518 libs optional minizip_1.1-3.dsc
 5b8e771bc04e559d2644807c5a4a3680 4500 libs optional minizip_1.1-3.debian.tar.xz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQQcBAEBCgAGBQJTr1lOAAoJELjWss0C1vRzNj4gAKfO//GGHWklUsLQMMrG4reA
r1hOpMUG6K5Su0mZdMWNkVATZmWn+fcU6w6w8reuLnxeqxhZrACHSzOajS1vjXPN
B7nD+dBuwD0VzINdcYwLS+3h+ZuOfbxN8OT2heH1LEp4EKkHmaqkcSz0Fc/sJzVl
jqubdYqM0oZHQA70aotS5Ol0sJ3TiMNzPUlO57bkZqoegSMsFCBeS0vHd/Yz9vCM
VBH5LoUssU8THCvy5gPwTnTuIEFVb+92sA5KY/WCL84V6haaelvXwAEsyCgOZmO6
CqTr+WQbP+AsShg+76hfs3lghym6FcG5jX2WJKDdR0bKI5Ebzj5UcdvT+dDaBXVj
pkurJ1A8fwVGJQ1D+Oq0Flny0CxIRXx71iUYNltgfl/iIV37oADxGBX8XcS1KV3l
7/nHYde4LxuGAkqRFQ8T1dI5p7kWrLRIKYDzQVSmGskxWfJWjvGMpksNzQEatsgu
6HJiO2FA5hZnG9ly5jmqKYjMeIgIVxPB3YrMpW/Js3P88n+EgpkCwEzpKbtTvYbB
2y4b5CVYqzgtvRFqOMZkSC+RxHnXHBXkRsr2PLj6RWRNa3glk67n8ur4D83obowD
kAJc0dRP9VrzHI2Xt5IuJzKM1VVCFjvYjr+NDVxsQf8Paswn7pRLsCBrStsY8MGa
XbyU/T22TsHVhJrvI6LHEP6zSwxaOHR9QotbqBC/pVpAx1r68cLcMs42sQb/NIIk
7wiR0WStuHHVNk7ViDKUzoMphzyoNuKtpSAp4YCMsU4XB7uIHVpxcrCSOiOLKXyn
+VOV/HEyYY1ao9ISlL5tLuj4cFhpMe630AnVSfqYhD+tSkSBS8/MztAolH+JgAJd
l4Tru/tWjul/xr79EpC5MCYDp5s7zTEz0/TlZ3RnIT1hS5QvH2Ex5Mf0onaxoL7j
d9H2dzJqDM03mv86VcMm3U967az1leONhLQspBGO0eLpf3Sp+AqjihNvoF3xefgK
xuIH86MABirOHaPfbtk+3g8Rbxv5PBM4nIZGjTY5cGZTorxZ5ibwmIdPGBf63BO/
IVWzQFZ9RFEKvijmAdJhyE4HHg+GmdYfjPJgGcQSpLPK5PsMtZW7DGM3tfqQpolk
ZG0RFpOeZyMTzRMbHkvd27IND91obw35mqOpJlDv/zc7M+SljO7XsOEfQPA/vUIV
vFb5Ck0gPxPCWcQH1skRLnhSckpTxWlUs9qbZduWKdbv6Piic8MMIut534FpVqN1
6sA8RrlyubuxvFQiSK49CuIstnrttSKn2JXiUW/DA3mWXQUNqpCMmMd1jnXo7s2P
u7+qefY0c8akOYWMBdEz89kYMQKbCY8qCq6a02X2+5iBRbERS0q7e4aiG142FLU=
=+ipK
-----END PGP SIGNATURE-----

--- End Message ---
_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grass-devel

Reply via email to